using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.DvbI
{
	public interface DvbIDataStorage
	{
		void AddDvbiServiceListToServiceListEntryPoint(DvbiServiceList serviceList, long sourceHash);
		void AddDvbiServiceToServiceList(string id, string serviceListId);
		DateTime GetDvbiServiceListLastUpdateDate(string id);
		int GetDvbiServiceVersion(string id);
		DateTime GetLastDvbiServiceListEntryPointUpdateDate(long sourceHash);
		void InsertDvbiServiceList(DvbiServiceList serviceList);
		void InsertDvbiService(DvbIService service);
		void InsertDvbiServiceListEntryPoint(long sourceHash);
		bool TestForDvbiService(string id);
		bool TestForDvbiServiceListEntryPoints(long sourceHash);
		void UpdateDvbiService(DvbIService service);
		void UpdateDvbiServiceListEntryPointUpdateDate(long v, DateTime currentTime);
		void UpdateDvbiServiceListLastCheckedDate(string id, DateTime currentTime);
		bool TestForDvbiServiceList(string id);
	}
}
